# slurmdbd

Section: Slurm Daemon (8)
Updated: Slurm Daemon
Index

## NAME

slurmdbd - Slurm Database Daemon.

## SYNOPSIS

slurmdbd [OPTIONS...]

## DESCRIPTION

slurmdbd provides a secure enterprise-wide interface to a database for Slurm. This is particularly useful for archiving accounting records.

OPTIONS
-D
  Debug mode. Execute slurmdbd in the foreground with logging to stdout.
-h
  Help; print a brief summary of command options.
-n <value>
  Set the daemon's nice value to the specified value, typically a negative number.
-v
  Verbose operation. Multiple -v's increase verbosity.
-V
  Print version information and exit.

## CORE FILE LOCATION

If slurmdbd is started with the -D option then the core file will be written to the current working directory. Otherwise if LogFile in "slurmdbd.conf" is a fully qualified path name (starting with a slash), the core file will be written to the same directory as the log file, provided SlurmUser has write permission on the directory. Otherwise the core file will be written to "/var/tmp/" as a last resort. If neither of the above directories have write permission for SlurmUser, no core file will be produced.

## NOTES

It may be useful to experiment with different slurmctld specific configuration parameters using a distinct configuration file (e.g. timeouts). However, this special configuration file will not be used by the slurmd daemon or the Slurm programs, unless you specifically tell each of them to use it. If you desire changing communication ports, the location of the temporary file system, or other parameters used by other Slurm components, change the common configuration file, slurm.conf.

## COPYING

Copyright (C) 2008 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). CODE-OCEC-09-009. All rights reserved.

This file is part of Slurm, a resource management program. For details, see <http://slurm.schedmd.com/>.

Slurm is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Slurm is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

## SEE ALSO

slurm.conf(5), slurmdbd.conf(5), slurmctld(8)

## Index

NAME
SYNOPSIS
DESCRIPTION
CORE FILE LOCATION
NOTES
COPYING
SEE ALSO

This document was created by man2html using the manual pages.
Time: 17:01:32 GMT, August 30, 2015